/*
 * $Id: Simulator_toXML.cpp 88 2008-12-10 18:31:39Z rosiere $
 *
 * [ Description ]
 * 
 */

#include "Behavioural/Configuration/include/Simulator.h"

namespace morpheo {
namespace behavioural {
namespace configuration {

#undef  FUNCTION
#define FUNCTION "Simulator::toXML"
  XML Simulator::toXML (void)
  {
    XML xml (basename(_filename.c_str()));
    xml.filename_extension("");
    
    xml.balise_open("parameters");
    for (std::map<std::string, Parameter_affectation *>::iterator it = _array->begin();
         it != _array->end();
         ++it)
      {
        xml.insert_XML(it->second->toXML(),1);
      }
    xml.balise_close();

    return xml;
  }

}; // end namespace configuration
}; // end namespace behavioural
}; // end namespace morpheo              
